package com.example.client;

/**
 * Модуль формирования интерфейса GWT-GXT примера с использованием компонентов 
 * Toolbar, HyperLink
 * 
 * @author EugeneMK
 */

import com.google.gwt.core.client.EntryPoint;

import com.example.client.resources.Resources;

import com.google.gwt.event.logical.shared.SelectionEvent;
import com.google.gwt.event.logical.shared.SelectionHandler;

import com.google.gwt.user.client.ui.Widget;
import com.google.gwt.user.client.ui.IsWidget;
import com.google.gwt.user.client.ui.RootPanel;

import com.sencha.gxt.core.client.util.Format;

import com.sencha.gxt.widget.core.client.info.Info;
import com.sencha.gxt.widget.core.client.menu.Item;
import com.sencha.gxt.widget.core.client.ContentPanel;
import com.sencha.gxt.widget.core.client.menu.MenuItem;
import com.sencha.gxt.widget.core.client.toolbar.ToolBar;
import com.sencha.gxt.widget.core.client.container.VerticalLayoutContainer;
import com.sencha.gxt.widget.core.client.container.VerticalLayoutContainer.VerticalLayoutData;

public class Gxt_toolbar implements IsWidget, EntryPoint
{
	final String TEMPLATE = "<span style=\"font-size:16px;"
                          + "font-family:'Times New Roman',Georgia;\">"
                          + "{0}</span>"; 
    //~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	SelectionHandler<Item> handler = new SelectionHandler<Item>()
	{
		@Override
		public void onSelection(SelectionEvent<Item> event) {
			MenuItem item = (MenuItem) event.getSelectedItem();
			
			Info.display(Resources.TEXT.info_title(),  
					     Resources.TEXT.choosed() + " '" + 
			                        item.getText() + "'");
		}
	};
	//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	@Override
	public Widget asWidget()
	{
		ContentPanel panel = new ContentPanel();
		panel.setPixelSize(540, 240);
		panel.addStyleName("margin-5");
//		panel.setHeadingText(Resources.TEXT.title());
		String head = Format.substitute(TEMPLATE,Resources.TEXT.title());
		panel.getHeader().setHTML(head);
	   
		VerticalLayoutContainer vlc = new VerticalLayoutContainer();

		panel.add(vlc);

		ToolBar toolbar = new GXTToolbar(32, handler).getToolBar();
		toolbar.setLayoutData(new VerticalLayoutData(1, -1));
		vlc.add(toolbar);
		
		return panel;
	}
	//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad()
	{
		RootPanel.get("wrapper").add(asWidget());
	}
}
